ReferenceAPI referenceSecrets
Start a Codex ChatGPT device authorization
Requires ADMIN or SUPER_USER. The completed Codex credential is encrypted as CODEX_AUTH_JSON and is never returned. Omit repository_id to configure the organization credential.
POST
/organizations/{organization_id}/codex-device-authorizationsRequires ADMIN or SUPER_USER. The completed Codex credential is encrypted as CODEX_AUTH_JSON and is never returned. Omit repository_id to configure the organization credential.
tasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/string/codex-device-authorizations" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "error": "string", "expires_at": "string", "id": "string", "plan_type": "string", "status": "PENDING", "user_code": "string", "verification_url": "string" }}